Debian Bug report logs - #575173
DB files of 6.1.0+dfsg2-1 are binary incompatible with 6.1.0+dfsg2-2 and vice versa

version graph

Package: virtuoso-opensource-6.1-bin; Maintainer for virtuoso-opensource-6.1-bin is Debian Krap Maintainers <debian-qt-kde@lists.debian.org>; Source for virtuoso-opensource-6.1-bin is src:virtuoso-opensource.

Reported by: Modestas Vainius <modestas@vainius.eu>

Date: Wed, 24 Mar 2010 00:30:01 UTC

Severity: grave

Tags: confirmed

Found in version virtuoso-opensource/6.1.0+dfsg2-2

Fixed in version virtuoso-opensource/6.1.0+dfsg2-3

Done: Modestas Vainius <modax@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Obey Arthur Liu <arthur@milliways.fr>:
Bug#575173; Package virtuoso-opensource-6.1-bin. (Wed, 24 Mar 2010 00:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
New Bug report received and forwarded. Copy sent to Obey Arthur Liu <arthur@milliways.fr>. (Wed, 24 Mar 2010 00:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: DB files of 6.1.0+dfsg2-1 are binary incompatible with 6.1.0+dfsg2-2 and vice versa
Date: Wed, 24 Mar 2010 02:26:43 +0200
Package: virtuoso-opensource-6.1-bin
Version: 6.1.0+dfsg2-2
Severity: grave

Hello,

it has come to my knowledge that apparently internal database format of
6.1.0+dfsg2-2 has changed in the binary incompatible way with 6.1.0+dfsg2-1.
SQARQL queries fail hinting internal problems when they are executed with
virtuoso-t 6.1.0+dfsg2-2 that uses database files initially produced with
6.1.0+dfsg2-1. The bug has been confirmed on at least i386 and amd64.

For example, if I generate KDE nepomuk index with 6.1.0+dfsg2-1 and later
upgrade to 6.1.0+dfsg2-2, nepomuk starts re-indexing even if it should not and
otherwise behaves weirdly all over the map. However, if I start 6.1.0+dfsg2-2
without any database files and let it create them from scratch, everything
works as expected.

Demonstration of 6.1.0+dfsg2-1 vs. 6.1.0+dfsg2-2 incompatibilities
------------------------------------------------------------------

1) Install virtuoso-minimal 6.1.0+dfsg2-1.

2) Disable nepomuk, remove previous databases files (if any).
$ ls -lh .kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso*
-rw------- 1 modax modax  50M 2010-03-24 01:48 .kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.db
-rw-r--r-- 1 modax modax   15 2010-03-24 01:45 .kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.lck
-rw-r--r-- 1 modax modax    0 2010-03-24 01:45 .kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.log
-rw-r--r-- 1 modax modax    0 2010-03-24 01:45 .kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.pxa
-rw-r--r-- 1 modax modax 2,0M 2010-03-24 01:45 .kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso-temp.db
-rw-r--r-- 1 modax modax  24M 2010-03-24 01:48 .kde/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.trx
$ rm -rf /home/modax/.kde/share/apps/nepomuk/repository/

3) Start nepomuk. Let it create an index.

4) Execute a simple query. Everything is just fine here.
$ isql-vt
OpenLink Interactive SQL (Virtuoso), version 0.9849b.
Type HELP; for help and EXIT; to exit.
SQL> sparql select * where { ?a ?b ?c } limit 5;
Connected to OpenLink Virtuoso
Driver: 06.01.3126 OpenLink Virtuoso ODBC Driver
a                                                                                 b                                                                                 c
VARCHAR                                                                           VARCHAR                                                                           VARCHAR
_______________________________________________________________________________

http://www.openlinksw.com/virtrdf-data-formats#default-iid                        http://www.w3.org/1999/02/22-rdf-syntax-ns#type                                   http://www.openlinksw.com/schemas/virtrdf#QuadMapFormat
http://www.openlinksw.com/virtrdf-data-formats#default-iid-nullable               http://www.w3.org/1999/02/22-rdf-syntax-ns#type                                   http://www.openlinksw.com/schemas/virtrdf#QuadMapFormat
http://www.openlinksw.com/virtrdf-data-formats#default-iid-nonblank               http://www.w3.org/1999/02/22-rdf-syntax-ns#type                                   http://www.openlinksw.com/schemas/virtrdf#QuadMapFormat
http://www.openlinksw.com/virtrdf-data-formats#default-iid-nonblank-nullable      http://www.w3.org/1999/02/22-rdf-syntax-ns#type                                   http://www.openlinksw.com/schemas/virtrdf#QuadMapFormat
http://www.openlinksw.com/virtrdf-data-formats#default                            http://www.w3.org/1999/02/22-rdf-syntax-ns#type                                   http://www.openlinksw.com/schemas/virtrdf#QuadMapFormat

5 Rows. -- 1 msec.

5) Stop nepomuk, make sure it stops virtuoso-t as well.

6) Upgrade virtuoso to 6.1.0+dfsg2-2:
   libvirtodbc0 virtuoso-minimal virtuoso-opensource-6.1-bin virtuoso-opensource-6.1-common
$ sudo aptitude dist-upgrade

7) Start nepomuk. It starts virtuoso-t and begin reindexing again (albeit
unsuccessfully). What is more, at that point, nepomuk ceases working properly
in general.

8) Execute the same simple query as in (4). It fails...
$ isql-vt
OpenLink Interactive SQL (Virtuoso), version 0.9849b.
Type HELP; for help and EXIT; to exit.
SQL> sparql select * where { ?a ?b ?c } limit 5;
Connected to OpenLink Virtuoso
Driver: 06.01.3126 OpenLink Virtuoso ODBC Driver

*** Error RDFXX: [Virtuoso Driver][Virtuoso Server].....: IRI ID 381 does not match any known IRI in __rdf_sqlval_of_obj()
at line 1 of Top-Level:
sparql select * where { ?a ?b ?c } limit 5
SQL> 


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.33-2-amd64 (SMP w/1 CPU core)
Locale: LANG=lt_LT.UTF-8, LC_CTYPE=lt_LT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages virtuoso-opensource-6.1-bin depends on:
ii  libc6                   2.10.2-6         Embedded GNU C Library: Shared lib
ii  libpcre3                7.8-3            Perl 5 Compatible Regular Expressi
ii  libreadline5            5.2-7            GNU readline and history libraries
ii  libssl0.9.8             0.9.8m-2         SSL shared libraries
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

virtuoso-opensource-6.1-bin recommends no packages.

virtuoso-opensource-6.1-bin suggests no packages.

-- no debconf information




Added tag(s) confirmed and pending. Request was from Obey Arthur Liu <arthur@milliways.fr> to control@bugs.debian.org. (Wed, 24 Mar 2010 02:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#575173; Package virtuoso-opensource-6.1-bin. (Wed, 24 Mar 2010 02:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Obey Arthur Liu <arthur@milliways.fr>:
Extra info received and forwarded to list. (Wed, 24 Mar 2010 02:18:02 GMT) Full text and rfc822 format available.

Message #12 received at 575173@bugs.debian.org (full text, mbox):

From: Obey Arthur Liu <arthur@milliways.fr>
To: Modestas Vainius <modestas@vainius.eu>, 575173@bugs.debian.org
Subject: Re: Bug#575173: DB files of 6.1.0+dfsg2-1 are binary incompatible with 6.1.0+dfsg2-2 and vice versa
Date: Wed, 24 Mar 2010 03:14:54 +0100
On Wed, Mar 24, 2010 at 1:26 AM, Modestas Vainius <modestas@vainius.eu> wrote:
> Package: virtuoso-opensource-6.1-bin
> Version: 6.1.0+dfsg2-2
> Severity: grave
>
> Hello,
>
> it has come to my knowledge that apparently internal database format of
> 6.1.0+dfsg2-2 has changed in the binary incompatible way with 6.1.0+dfsg2-1.
> SQARQL queries fail hinting internal problems when they are executed with
> virtuoso-t 6.1.0+dfsg2-2 that uses database files initially produced with
> 6.1.0+dfsg2-1. The bug has been confirmed on at least i386 and amd64.
>
> For example, if I generate KDE nepomuk index with 6.1.0+dfsg2-1 and later
> upgrade to 6.1.0+dfsg2-2, nepomuk starts re-indexing even if it should not and
> otherwise behaves weirdly all over the map. However, if I start 6.1.0+dfsg2-2
> without any database files and let it create them from scratch, everything
> works as expected.

Thank you for the report.

This seems to be a consequence of the armel FTBFS fix.
I will rollback this fix and upload a new 6.1.0+dfsg2-3 package with
emergency=high.
From my investigations, upgrading to this new package should restore
back access with no data loss.

amd64 packages are available here:
http://www.milliways.fr/debian/packages/virtuoso/
You want: virtuoso-opensource_6.1.0+dfsg2-3_amd64.changes

Cheers

Arthur




Reply sent to Modestas Vainius <modax@debian.org>:
You have taken responsibility. (Thu, 25 Mar 2010 01:39:05 GMT) Full text and rfc822 format available.

Notification sent to Modestas Vainius <modestas@vainius.eu>:
Bug acknowledged by developer. (Thu, 25 Mar 2010 01:39:05 GMT) Full text and rfc822 format available.

Message #17 received at 575173-close@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: 575173-close@bugs.debian.org
Subject: Bug#575173: fixed in virtuoso-opensource 6.1.0+dfsg2-3
Date: Thu, 25 Mar 2010 01:35:38 +0000
Source: virtuoso-opensource
Source-Version: 6.1.0+dfsg2-3

We believe that the bug you reported is fixed in the latest version of
virtuoso-opensource, which is due to be installed in the Debian FTP archive:

libvirtodbc0_6.1.0+dfsg2-3_amd64.deb
  to main/v/virtuoso-opensource/libvirtodbc0_6.1.0+dfsg2-3_amd64.deb
libvirtuoso5.5-cil_6.1.0+dfsg2-3_amd64.deb
  to main/v/virtuoso-opensource/libvirtuoso5.5-cil_6.1.0+dfsg2-3_amd64.deb
virtuoso-minimal_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-minimal_6.1.0+dfsg2-3_all.deb
virtuoso-opensource-6.1-bin_6.1.0+dfsg2-3_amd64.deb
  to main/v/virtuoso-opensource/virtuoso-opensource-6.1-bin_6.1.0+dfsg2-3_amd64.deb
virtuoso-opensource-6.1-common_6.1.0+dfsg2-3_amd64.deb
  to main/v/virtuoso-opensource/virtuoso-opensource-6.1-common_6.1.0+dfsg2-3_amd64.deb
virtuoso-opensource-6.1_6.1.0+dfsg2-3_amd64.deb
  to main/v/virtuoso-opensource/virtuoso-opensource-6.1_6.1.0+dfsg2-3_amd64.deb
virtuoso-opensource_6.1.0+dfsg2-3.diff.gz
  to main/v/virtuoso-opensource/virtuoso-opensource_6.1.0+dfsg2-3.diff.gz
virtuoso-opensource_6.1.0+dfsg2-3.dsc
  to main/v/virtuoso-opensource/virtuoso-opensource_6.1.0+dfsg2-3.dsc
virtuoso-opensource_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-opensource_6.1.0+dfsg2-3_all.deb
virtuoso-server_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-server_6.1.0+dfsg2-3_all.deb
virtuoso-vad-bpel_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-bpel_6.1.0+dfsg2-3_all.deb
virtuoso-vad-conductor_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-conductor_6.1.0+dfsg2-3_all.deb
virtuoso-vad-demo_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-demo_6.1.0+dfsg2-3_all.deb
virtuoso-vad-doc_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-doc_6.1.0+dfsg2-3_all.deb
virtuoso-vad-isparql_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-isparql_6.1.0+dfsg2-3_all.deb
virtuoso-vad-ods_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-ods_6.1.0+dfsg2-3_all.deb
virtuoso-vad-rdfmappers_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-rdfmappers_6.1.0+dfsg2-3_all.deb
virtuoso-vad-sparqldemo_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-sparqldemo_6.1.0+dfsg2-3_all.deb
virtuoso-vad-syncml_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-syncml_6.1.0+dfsg2-3_all.deb
virtuoso-vad-tutorial_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-tutorial_6.1.0+dfsg2-3_all.deb
virtuoso-vsp-startpage_6.1.0+dfsg2-3_all.deb
  to main/v/virtuoso-opensource/virtuoso-vsp-startpage_6.1.0+dfsg2-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575173@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Modestas Vainius <modax@debian.org> (supplier of updated virtuoso-opensource package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Mar 2010 02:03:42 +0100
Source: virtuoso-opensource
Binary: virtuoso-opensource virtuoso-server virtuoso-minimal virtuoso-opensource-6.1 virtuoso-opensource-6.1-common virtuoso-opensource-6.1-bin virtuoso-vsp-startpage virtuoso-vad-conductor virtuoso-vad-doc virtuoso-vad-demo virtuoso-vad-tutorial virtuoso-vad-rdfmappers virtuoso-vad-sparqldemo virtuoso-vad-syncml virtuoso-vad-bpel virtuoso-vad-isparql virtuoso-vad-ods libvirtodbc0 libvirtuoso5.5-cil
Architecture: source all amd64
Version: 6.1.0+dfsg2-3
Distribution: unstable
Urgency: high
Maintainer: Obey Arthur Liu <arthur@milliways.fr>
Changed-By: Modestas Vainius <modax@debian.org>
Description: 
 libvirtodbc0 - OpenLink Virtuoso Open-Source Edition - ODBC libraries
 libvirtuoso5.5-cil - OpenLink Virtuoso Open-Source Edition - Mono assemblies
 virtuoso-minimal - Virtuoso minimal Server (metapackage for latest version)
 virtuoso-opensource - OpenLink Virtuoso Open-Source Edition (OSE)
 virtuoso-opensource-6.1 - OpenLink Virtuoso Open-Source Edition - Server support files
 virtuoso-opensource-6.1-bin - OpenLink Virtuoso Open-Source Edition - Server Binaries
 virtuoso-opensource-6.1-common - OpenLink Virtuoso Open-Source Edition - Common Binaries
 virtuoso-server - Virtuoso OSE Server (metapackage for latest version)
 virtuoso-vad-bpel - OpenLink Virtuoso Open-Source Edition - BPEL
 virtuoso-vad-conductor - OpenLink Virtuoso Open-Source Edition - Conductor
 virtuoso-vad-demo - OpenLink Virtuoso Open-Source Edition - Demo
 virtuoso-vad-doc - OpenLink Virtuoso Open-Source Edition - Documentation
 virtuoso-vad-isparql - OpenLink Virtuoso Open-Source Edition - iSPARQL
 virtuoso-vad-ods - OpenLink Virtuoso Open-Source Edition - Open Data Spaces
 virtuoso-vad-rdfmappers - OpenLink Virtuoso Open-Source Edition - RDF Mappers
 virtuoso-vad-sparqldemo - OpenLink Virtuoso Open-Source Edition - SPARQL Demo
 virtuoso-vad-syncml - OpenLink Virtuoso Open-Source Edition - SyncML
 virtuoso-vad-tutorial - OpenLink Virtuoso Open-Source Edition - Tutorial
 virtuoso-vsp-startpage - OpenLink Virtuoso Open-Source Edition - Start Page
Closes: 575173
Changes: 
 virtuoso-opensource (6.1.0+dfsg2-3) unstable; urgency=high
 .
   * Emergency rollback of the fix for FTBFS on armel from 6.1.0+dfsg2-2
     causing database binary format incompatibility, closes: #575173.
     There should be no data loss.
Checksums-Sha1: 
 ea87b4e3376afb76722951ce98de5ac5aeffb92e 2620 virtuoso-opensource_6.1.0+dfsg2-3.dsc
 4a373c7fbf6e60c441a6c2ecd2a6476e29d48df5 39485 virtuoso-opensource_6.1.0+dfsg2-3.diff.gz
 7299c748cef6d878982dcceabe8037080683d3ae 48750 virtuoso-opensource_6.1.0+dfsg2-3_all.deb
 22bbe728b93e284bb95ba625d6aedc7bfb9a989d 45900 virtuoso-server_6.1.0+dfsg2-3_all.deb
 8a1a5208d879a6e5e8416ccf54917801e51fb576 45902 virtuoso-minimal_6.1.0+dfsg2-3_all.deb
 d7b9bf3d158b8cb93e493f42a72a6f4f7e093605 525466 virtuoso-vsp-startpage_6.1.0+dfsg2-3_all.deb
 505844766b86b1e8e7c39c5ac07a2420cc75a565 1149278 virtuoso-vad-conductor_6.1.0+dfsg2-3_all.deb
 361172499ef7048089037189f100ecbd988e9ecb 35530656 virtuoso-vad-doc_6.1.0+dfsg2-3_all.deb
 cc09dcfbab06e94d3f08917846f5c0e20c0cfde9 8502300 virtuoso-vad-demo_6.1.0+dfsg2-3_all.deb
 94601c23fdc1ebb72dedd21eaa1ef58a65afd317 5155548 virtuoso-vad-tutorial_6.1.0+dfsg2-3_all.deb
 1f9fc065869510983d0cda2947f05a725281addd 2116326 virtuoso-vad-rdfmappers_6.1.0+dfsg2-3_all.deb
 4bf67448dd281ba267892e1c62c0337698e0f62a 458324 virtuoso-vad-sparqldemo_6.1.0+dfsg2-3_all.deb
 a5a5b0da2263ea57d23ac0e252fa6420e5d190db 65740 virtuoso-vad-syncml_6.1.0+dfsg2-3_all.deb
 dab766dce9365d12aa00562463029d526651cd27 333988 virtuoso-vad-bpel_6.1.0+dfsg2-3_all.deb
 e4ae60513c7addae17520bf9d5a4139f23207ecd 568382 virtuoso-vad-isparql_6.1.0+dfsg2-3_all.deb
 be2fecc9bcf09433987c1509067fae500526a6d2 5412760 virtuoso-vad-ods_6.1.0+dfsg2-3_all.deb
 a1a6e02406d9049adca167d955193a67d53c0eac 252836 virtuoso-opensource-6.1_6.1.0+dfsg2-3_amd64.deb
 b9c4b938b2187123763f3c5af7cf01ea709454cf 62922 virtuoso-opensource-6.1-common_6.1.0+dfsg2-3_amd64.deb
 7dc33df15fa0598b71a13ffd5e3faaa5e562f7c0 3754248 virtuoso-opensource-6.1-bin_6.1.0+dfsg2-3_amd64.deb
 e8b53cad3c514a9977f94b0b3f81bdea7664c345 796058 libvirtodbc0_6.1.0+dfsg2-3_amd64.deb
 26f38803cad04bf4e508a152ccdaed468be1e504 113390 libvirtuoso5.5-cil_6.1.0+dfsg2-3_amd64.deb
Checksums-Sha256: 
 ffbe2fe3bb1b3f4813579202937784a979079cf1a00d441c3a3d960b9ea12d11 2620 virtuoso-opensource_6.1.0+dfsg2-3.dsc
 621f628e4c14398ed46a7dbf8f737b68a8c76f921c02d7c8820ed6f2b2596f05 39485 virtuoso-opensource_6.1.0+dfsg2-3.diff.gz
 90316c8223266da4caa77396a79b25bdd1710c1dc1fd00614752d7f87a869b28 48750 virtuoso-opensource_6.1.0+dfsg2-3_all.deb
 81f472626b9c2fddc31a17bdd07e84f51979e5328c587c9f2f93481ddec92ef5 45900 virtuoso-server_6.1.0+dfsg2-3_all.deb
 82be11251c6e15ef731344046c924d2be97dffc2a7f59fbdeb83496b6d1a7002 45902 virtuoso-minimal_6.1.0+dfsg2-3_all.deb
 01917561242705dbc87a20930cd3b8317ff612d028114ffccc83834b7bd01775 525466 virtuoso-vsp-startpage_6.1.0+dfsg2-3_all.deb
 96f10dbdfc0abaa43a573a8da9652ec7be8dc41aee6100c55805823e0d4c926f 1149278 virtuoso-vad-conductor_6.1.0+dfsg2-3_all.deb
 4825bb5d3b93b5b132d3832a96fb7ed0833b1bcb6bdd5ca168ecb7a2c22a9a9e 35530656 virtuoso-vad-doc_6.1.0+dfsg2-3_all.deb
 29b9fb1c1eeff44b8ae6e988d8865e04771252246c1ac3cb31ea08a138c33295 8502300 virtuoso-vad-demo_6.1.0+dfsg2-3_all.deb
 8842f8f221d58b368e57571b7b8b50708cf0768981ebbad569cbd4bcfd833bb6 5155548 virtuoso-vad-tutorial_6.1.0+dfsg2-3_all.deb
 68241ec9c14bce3754f742df7493351771ad60630cb62d7814179d05d554f263 2116326 virtuoso-vad-rdfmappers_6.1.0+dfsg2-3_all.deb
 fc91888422c5f3a3bd86fa9f9e5970de8d91eda176151446cde5ee5be520b1f7 458324 virtuoso-vad-sparqldemo_6.1.0+dfsg2-3_all.deb
 ea70c0de2aa933523167660e0d13368db2cab95f3deda624dabac998bef60cdd 65740 virtuoso-vad-syncml_6.1.0+dfsg2-3_all.deb
 9afa2ecdf2c9d55d60941dc920821fe963d51553e54a5a61d2c40e9d7084c5c8 333988 virtuoso-vad-bpel_6.1.0+dfsg2-3_all.deb
 0db934ea9981289234a7ccc815bf9945e6721f6ed7dfebe9708de91dc783063c 568382 virtuoso-vad-isparql_6.1.0+dfsg2-3_all.deb
 9fe99df9144e068dd51c5316ec520d6d270247582d27cf2f6e4af0d09b25e029 5412760 virtuoso-vad-ods_6.1.0+dfsg2-3_all.deb
 b48940d08ceb8129ff930eb46b8d3436b1c247ded94ff084198a57ab09219308 252836 virtuoso-opensource-6.1_6.1.0+dfsg2-3_amd64.deb
 45f3d66978ad341a241dadd5f050a8752071698155a247ca0fd21883dd41acca 62922 virtuoso-opensource-6.1-common_6.1.0+dfsg2-3_amd64.deb
 50624b60e393bb32d2ae14d0184461c1a0a8e3e980be3477f9d2598e9086d848 3754248 virtuoso-opensource-6.1-bin_6.1.0+dfsg2-3_amd64.deb
 38e78e35045525bf9a65d210e869fc73f8bf0ea17556d1a73ec12e49085d4c14 796058 libvirtodbc0_6.1.0+dfsg2-3_amd64.deb
 5cb32288280465e9164035156451ca0cdee40c1a71306b53d61cd26ea321d34a 113390 libvirtuoso5.5-cil_6.1.0+dfsg2-3_amd64.deb
Files: 
 b7fc24618dbbe6a205aa6e249534395f 2620 database optional virtuoso-opensource_6.1.0+dfsg2-3.dsc
 80ef9e1b32e5db981d5dff02750fb7bb 39485 database optional virtuoso-opensource_6.1.0+dfsg2-3.diff.gz
 5fc3de7d8871ca110bb4bde9788ffa41 48750 database optional virtuoso-opensource_6.1.0+dfsg2-3_all.deb
 fe9df600748b4aba611ae148542ac56e 45900 database optional virtuoso-server_6.1.0+dfsg2-3_all.deb
 59ca7a90cb35d03b7047ee64c221a9da 45902 database optional virtuoso-minimal_6.1.0+dfsg2-3_all.deb
 9cde0ab3b02d9683000b3eb3854833c2 525466 database optional virtuoso-vsp-startpage_6.1.0+dfsg2-3_all.deb
 874e15b16c59a70ebceef4ae1c80de80 1149278 database optional virtuoso-vad-conductor_6.1.0+dfsg2-3_all.deb
 32fffca989cdeb90a459f5db73ec0ea0 35530656 doc optional virtuoso-vad-doc_6.1.0+dfsg2-3_all.deb
 6cc311c7cfa6b06679336d25d1661ab1 8502300 doc optional virtuoso-vad-demo_6.1.0+dfsg2-3_all.deb
 e47610ad9ff8afff387efa3bf016e656 5155548 doc optional virtuoso-vad-tutorial_6.1.0+dfsg2-3_all.deb
 1984d0422a79118e04b69a7bc514bebd 2116326 database optional virtuoso-vad-rdfmappers_6.1.0+dfsg2-3_all.deb
 0d90719cc52b56d25c34d5cb46752dc5 458324 database optional virtuoso-vad-sparqldemo_6.1.0+dfsg2-3_all.deb
 971ee06909562a6a8ad4d26698f2fe8f 65740 database optional virtuoso-vad-syncml_6.1.0+dfsg2-3_all.deb
 75961a94f7d61549ddd8a17ca00c9598 333988 database optional virtuoso-vad-bpel_6.1.0+dfsg2-3_all.deb
 1488d38053b47528daaa86b1b0ddb6b9 568382 database optional virtuoso-vad-isparql_6.1.0+dfsg2-3_all.deb
 509932488c25779de4298657d01cbd25 5412760 database optional virtuoso-vad-ods_6.1.0+dfsg2-3_all.deb
 ac6e3d89c3460c551660e94b34721745 252836 database optional virtuoso-opensource-6.1_6.1.0+dfsg2-3_amd64.deb
 4aa3d4fe6d6b8161d50358b08bb70ef2 62922 database optional virtuoso-opensource-6.1-common_6.1.0+dfsg2-3_amd64.deb
 2356b6eea65e0aae653f5a73aa51c26f 3754248 database optional virtuoso-opensource-6.1-bin_6.1.0+dfsg2-3_amd64.deb
 886f54ad64103dddc7b4097c83ac98a9 796058 database optional libvirtodbc0_6.1.0+dfsg2-3_amd64.deb
 03aeb1299f8800a11d94bcd3b7c8fe52 113390 cli-mono optional libvirtuoso5.5-cil_6.1.0+dfsg2-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuqtfMACgkQHO9JRnPq4hSUZQCbBkKp6GRDMPWq3dtmKE0TM9P4
UIUAoMgdKbwplvyChrXJRqb5b8uLL/Al
=YITC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 May 2010 07:39:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:46:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.